Status da Fila
Guia de Integração do Aplicativo Móvel
Status da Fila
Busca o status atual de um único item da fila de saída. Útil para consultar periodicamente até a confirmação de entrega.
Parâmetros de Consulta
| Campo | Tipo | Descrição | |
|---|---|---|---|
| id | integer | obrigatório | ID da mensagem na fila. |
Exemplo de Requisição
cURL
curl "https://api.rcszilla.com/?endpoint=queue_status&id=101" \ -H "Authorization: Bearer YOUR-DEVICE-TOKEN"
Resposta
JSON200 OK
{
"success": true,
"id": "101",
"status": "delivered",
"sent_at": "2026-04-29 10:01:45",
"failed_reason": null
}
Status Values
| Status | Descrição |
|---|---|
| pending | Waiting to be picked up by a device. |
| processing | Claimed by a device, currently being sent. |
| sent | Handed off to the carrier. |
| delivered | Carrier delivery confirmation received. |
| failed | Send failed. Check failed_reason. |
| cancelled | Cancelled by the user via the web panel. |